aboutsummaryrefslogtreecommitdiffstats
path: root/vnfs/vCPE
diff options
context:
space:
mode:
authorPraneta Paithankar <praneta.paithankar@intel.com>2018-08-10 06:54:33 -0700
committerPraneta Paithankar <praneta.paithankar@intel.com>2018-08-10 06:59:06 -0700
commit302c1e502c8d5fa1f07b8683b81c7bd762da3582 (patch)
tree992997c419d5f6d1feef4c971698692eeb860ab8 /vnfs/vCPE
parent654fdf0c807e436d59b160e0bc9100e7af35eba8 (diff)
Automate vCPE vG-MUX and VG build image process
Build script is executed with its heat template. script_status.txt in /opt folder will show the status of execution of build and install script. Issue-ID: INT-620 Change-Id: I4b0b5c49ed20458b21423fc83545203e1aea02f5 Signed-off-by: Praneta Paithankar <praneta.paithankar@intel.com>
Diffstat (limited to 'vnfs/vCPE')
-rw-r--r--vnfs/vCPE/scripts/v_gmux_build.sh49
-rw-r--r--vnfs/vCPE/scripts/v_gmux_install.sh2
-rw-r--r--vnfs/vCPE/scripts/v_gw_build.sh40
-rw-r--r--vnfs/vCPE/scripts/v_gw_install.sh3
4 files changed, 80 insertions, 14 deletions
diff --git a/vnfs/vCPE/scripts/v_gmux_build.sh b/vnfs/vCPE/scripts/v_gmux_build.sh
index da357b03..b85445a6 100644
--- a/vnfs/vCPE/scripts/v_gmux_build.sh
+++ b/vnfs/vCPE/scripts/v_gmux_build.sh
@@ -9,7 +9,7 @@ HC2VPP_SOURCE_REPO_RELEASE_TAG=$(cat /opt/config/hc2vpp_source_repo_release_tag.
HC2VPP_PATCH_URL=$(cat /opt/config/hc2vpp_patch_url.txt)
LIBEVEL_PATCH_URL=$(cat /opt/config/libevel_patch_url.txt)
CLOUD_ENV=$(cat /opt/config/cloud_env.txt)
-
+ERROR_MESSAGE="Execution of vG-MUX build script failed. Reason"
# Download required dependencies
echo "deb http://ppa.launchpad.net/openjdk-r/ppa/ubuntu $(lsb_release -c -s) main" >> /etc/apt/sources.list.d/java.list
@@ -28,12 +28,14 @@ wget -O Vpp-Add-VES-agent-for-vG-MUX.patch ${VPP_PATCH_URL}
cd vpp
patch -p1 < ../Vpp-Add-VES-agent-for-vG-MUX.patch
-expect -c "
- spawn make install-dep;
- expect {
- \"Do you want to continue?*\" {send \"Y\r\"; interact}
- }
-"
+yes Y | make install-dep
+
+# Check vpp build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP build failed' > /opt/script_status.txt
+ exit
+fi
# Install the evel-library first since we need the lib
cd /opt
@@ -45,6 +47,15 @@ git checkout 312996e2
patch -p1 < ../vCPE-vG-MUX-libevel-fixup.patch
cd vnfs/VES5.0/evel/evel-library/bldjobs
make
+
+# Check eval-library installation status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE Installation of eval-library failed' > /opt/script_status.txt
+ exit
+fi
+
+
cp ../libs/x86_64/libevel.so /usr/lib
ldconfig
@@ -52,11 +63,24 @@ cd /opt/vpp/build-root
./bootstrap.sh
make V=0 PLATFORM=vpp TAG=vpp install-deb
+# Check vpp/build-root build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP/build-root build failed' > /opt/script_status.txt
+ exit
+fi
+
# Install the VPP package
apt install -y python-ply-lex-3.5 python-ply-yacc-3.5 python-pycparser python-cffi
dpkg -i *.deb
-systemctl stop vpp
+# Check VPP package installation status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE Installation of VPP package failed' > /opt/script_status.txt
+ exit
+fi
+systemctl stop vpp
# Download and install HC2VPP from source
@@ -183,6 +207,14 @@ p_version=$(echo "${p_version_snap%-*}")
mkdir -p ~/.m2/repository/io/fd/vpp/jvpp-ves/${p_version_snap}
mvn install:install-file -Dfile=/usr/share/java/jvpp-ves-${p_version}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-ves -Dversion=${p_version_snap} -Dpackaging=jar
mvn clean install -nsu -DskipTests=true
+
+# Check hc2vpp installation status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE Installation of hc2vpp failed' > /opt/script_status.txt
+ exit
+fi
+
l_version=$(cat pom.xml | grep "<version>" | head -1)
l_version=$(echo "${l_version%<*}")
l_version=$(echo "${l_version#*>}")
@@ -196,4 +228,5 @@ then
sed -i 's/\(APT::Periodic::Unattended-Upgrade\) "1"/\1 "0"/' /etc/apt/apt.conf.d/20auto-upgrades
fi
+echo 'Execution of vG-MUX build script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_gmux_install.sh b/vnfs/vCPE/scripts/v_gmux_install.sh
index c9162aac..b6796c27 100644
--- a/vnfs/vCPE/scripts/v_gmux_install.sh
+++ b/vnfs/vCPE/scripts/v_gmux_install.sh
@@ -364,8 +364,10 @@ then
sed -i "s/ens[0-9]*/eth0/g" /etc/network/interfaces.d/*.cfg
sed -i "s/ens[0-9]*/eth0/g" /etc/udev/rules.d/70-persistent-net.rules
echo 'network: {config: disabled}' >> /etc/cloud/cloud.cfg.d/99-disable-network-config.cfg
+ echo 'Execution of vG-MUX install script completed' > /opt/script_status.txt
reboot
fi
./v_gmux_init.sh
+echo 'Execution of vG-MUX install script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_gw_build.sh b/vnfs/vCPE/scripts/v_gw_build.sh
index 7c03c385..c8348e41 100644
--- a/vnfs/vCPE/scripts/v_gw_build.sh
+++ b/vnfs/vCPE/scripts/v_gw_build.sh
@@ -6,7 +6,7 @@ VPP_SOURCE_REPO_RELEASE_TAG=$(cat /opt/config/vpp_source_repo_release_tag.txt)
HC2VPP_SOURCE_REPO_URL=$(cat /opt/config/hc2vpp_source_repo_url.txt)
HC2VPP_SOURCE_REPO_RELEASE_TAG=$(cat /opt/config/hc2vpp_source_repo_release_tag.txt)
CLOUD_ENV=$(cat /opt/config/cloud_env.txt)
-
+ERROR_MESSAGE= "Execution of vGbuild script failed. Reason:"
# Download required dependencies
echo "deb http://ppa.launchpad.net/openjdk-r/ppa/ubuntu $(lsb_release -c -s) main" >> /etc/apt/sources.list.d/java.list
@@ -26,23 +26,44 @@ cd /opt
git clone ${VPP_SOURCE_REPO_URL} -b ${VPP_SOURCE_REPO_RELEASE_TAG} vpp
cd vpp
-yes y | make install-dep
+yes Y | make install-dep
+
+# Check vpp build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP build failed' > /opt/script_status.txt
+ exit
+fi
cd build-root
./bootstrap.sh
make V=0 PLATFORM=vpp TAG=vpp install-deb
+# Check vpp/build-root build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP/build-root build failed' > /opt/script_status.txt
+ exit
+fi
+
+apt --allow-unauthenticated install -y python-ply-lex-3.5 python-ply-yacc-3.5 python-pycparser python-cffi
+
# Install the VPP package
dpkg -i *.deb
-systemctl stop vpp
+# Check vpp package installation status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP package installation failed' > /opt/script_status.txt
+ exit
+fi
+
+systemctl stop vpp
# Download and install HC2VPP from source
cd /opt
git clone ${HC2VPP_SOURCE_REPO_URL} -b ${HC2VPP_SOURCE_REPO_RELEASE_TAG} hc2vpp
-
-apt --allow-unauthenticated install -y python-ply-lex-3.5 python-ply-yacc-3.5 python-pycparser python-cffi
apt-get install -y maven
mkdir -p ~/.m2
cat > ~/.m2/settings.xml << EOF
@@ -155,6 +176,14 @@ EOF
cd hc2vpp
mvn clean install
+
+# Check hc2vpp build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE hc2vpp build failed' > /opt/script_status.txt
+ exit
+fi
+
l_version=$(cat pom.xml | grep "<version>" | head -1)
l_version=$(echo "${l_version%<*}")
l_version=$(echo "${l_version#*>}")
@@ -168,3 +197,4 @@ then
sed -i 's/\(APT::Periodic::Unattended-Upgrade\) "1"/\1 "0"/' /etc/apt/apt.conf.d/20auto-upgrades
fi
+echo 'Execution of vG build script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_gw_install.sh b/vnfs/vCPE/scripts/v_gw_install.sh
index 0b34d05a..107449a7 100644
--- a/vnfs/vCPE/scripts/v_gw_install.sh
+++ b/vnfs/vCPE/scripts/v_gw_install.sh
@@ -261,6 +261,7 @@ then
sed -i "s/ens[0-9]*/eth0/g" /etc/network/interfaces.d/*.cfg
#sed -i "s/ens[0-9]*/eth0/g" /etc/udev/rules.d/70-persistent-net.rules
echo 'network: {config: disabled}' >> /etc/cloud/cloud.cfg.d/99-disable-network-config.cfg
+ echo 'Execution of vG install script completed' > /opt/script_status.txt
reboot
fi
-
+echo 'Execution of vG install script completed' > /opt/script_status.txt